X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

how do I revert to my old version of Firefox? You know, the one that actually worked!

Posted

I recently upgraded to a newer firefox version and I am very unhappy with it. How can I revert back to my older version - the one that actually worked. Also I hate the restore last session feature. It raises huge security concerns when children have access to my computer.

Additional System Details

This happened

Every time Firefox opened

This started when...

I upgraded to latest version

Installed Plug-ins

  • Office Plugin for Netscape Navigator
  • np-mswmp
  • 1.9.0009.1
  • 12.0.1.609
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealJukebox Netscape Plugin
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.1
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • npmnqmp 989898989877
  • Shockwave Flash 10.3 r183
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.1.629
  • GEPlugin
  • 4.0.60531.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • Google Update

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0.2) Gecko/20100101 Firefox/6.0.2

More Information

Hasan 477 solutions 5600 answers

Disabling Session Restore

Check and tell if its working.


What are the problems you are facing by using Firefox 6 ?? We might be able to help you resolve those issues.

Starting with the release of Firefox 6, the previous versions of Firefox (4.0.x and 5.0.x) are no longer maintained with Security and Stability updates. Firefox 3.6 is the last previous Firefox version that is still being maintained.

Firefox versions 4.0.x 5.0.x contain Security vulnerabilities that are known and could be exploited by some websites to gain unauthorized access to information or to disrupt critical processing. Only the Latest version 6.0 and an Older version 3.6 of Firefox are secure against these known vulnerabilities.

Modified by Hasan